Subject: [MBONED] Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-14: (with DISCUSS and COMMENT)

From: Benjamin Kaduk via Datatracker <[email-masked]>
Date: Sun, 18 Jul 2021 18:45:33 -0700

Benjamin Kaduk has entered the following ballot position for
draft-ietf-mboned-ieee802-mcast-problems-14: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mboned-ieee802-mcast-problems/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Many thanks for all the updates from -11 to -14; the preponderance are
good and improve the document.

I especially appreciate the change in section 9 to claim only that the
use of IPsec is specified, rather than mandated, by the referenced
document.  Unfortunately, the reference document was changed as well,
from RFC 4601 to RFC 7761, but RFC 7761 calls out as one of the changes
from RFC 4601 that "authentication using IPsec" was removed.  So the
current claim in the -14, that "[RFC7761] [...] specifies the use of
IPsec to ensure authentication of the link-local messages in [PIM-SM]"
is not correct, though for a different reason than what I noted in my
ballot position on the -11.  It may be most expedient to just restore
the reference to the obsolete document, though of course there are other
possibilities.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 3.2.1

   o  ARP [RFC5424]

RFC 5424 is "The Syslog Protocol"; while RFC 5494 is only hamming
distance one away and relates to ARP, it seems that the original RFC 826
might actually be a better reference.

Section 8

I'm still a little confused by the first point -- it seems to be
suggesting that some types of multicast traffic might only be sent if
sending over a wired interface and just dropped for wireless interfaces,
which both introduces a layering violation and causes wireless to be a
"second-class citizen".  Presumably there is some more subtlety than
that, but I'm missing it.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 20 Jul 2021 08:13:22 +0000

[- IESG to save bandwidth]

Dear authors,

As the responsible AD for this document (as Warren Kumari is an author), I am quite happy to see that Ben Kaduk's original DISCUSS has been cleared.

The new one is correct and seems easy to address but following his suggestion of using the obsoleted reference.

The same for Ben's 2 COMMENTS: ARP fix appears to be obvious and, while I am ambivalent about his 2nd non-blocking comment, it can be addressed by removing " including options for when traffic should be sent wired".

It is obviously up to the authors to address the above. Next week, the upload of a revised I-D is open again and then I could approve the I-D for publication ;-)

Regards

-éric

-----Original Message-----
From: iesg <[email-masked]> on behalf of Benjamin Kaduk via Datatracker <[email-masked]>
Reply-To: Benjamin Kaduk <[email-masked]>
Date: Monday, 19 July 2021 at 03:45
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-14: (with DISCUSS and COMMENT)

    Section 3.2.1

       o  ARP [RFC5424]

    Section 8

---

From: Michael McBride <[email-masked]>
Date: Wed, 28 Jul 2021 23:29:37 +0000

Hi Eric,

I just submitted a -15 to fix the RFC references, per Ben's recommendations, and attempt to make the wired vs wireless a bit more clear.

Thanks,
mike

-----Original Message-----
From: Eric Vyncke (evyncke) <[email-masked]> 
Sent: Tuesday, July 20, 2021 1:13 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; Benjamin Kaduk <[email-masked]>
Subject: Re: Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-14: (with DISCUSS and COMMENT)

Dear authors,

Regards

-éric

-----Original Message-----
From: iesg <[email-masked]> on behalf of Benjamin Kaduk via Datatracker <[email-masked]>
Reply-To: Benjamin Kaduk <[email-masked]>
Date: Monday, 19 July 2021 at 03:45
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-14: (with DISCUSS and COMMENT)

    Please refer to https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7Cdb5d0298bdb44a35e90108d94b5643ca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637623656152594467%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=F1Ra%2BOxIJibvRpF%2Fiu54l4Bb08Usb1LhAlqYPRF%2Bvyo%3D&amp;reserved=0
    for more information about DISCUSS and COMMENT positions.

    The document, along with other ballot positions, can be found here:
    https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-mboned-ieee802-mcast-problems%2F&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7Cdb5d0298bdb44a35e90108d94b5643ca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637623656152594467%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dTB%2BF5rFbbmu79mT6Ah1PFmksrNFzF9wvlJD52cQFTY%3D&amp;reserved=0

    Section 3.2.1

       o  ARP [RFC5424]

    Section 8